Page MenuHomePhabricator

Rewrite the config load script
Closed, ResolvedPublic

Description

The config loader should be updated to python3, and take advantage of configtree to pass set commands to cli-shell-api, instead of relying on Vyatta::Config. Note that the merge logic was separated out of the config loader script in T1397.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Related Objects

Event Timeline

jestabro created this task.Jun 3 2019, 4:29 PM
jestabro created this object in space S1 VyOS Public.
jestabro updated the task description. (Show Details)Jun 3 2019, 5:51 PM
pasik added a subscriber: pasik.Jun 4 2019, 6:35 AM

The rewrite has been complete in the fork for some time, but is on hold pending: (1) consider taking advantage of the functionality in https://github.com/vyos/vyos-1x/blob/current/python/vyos/configsession.py to avoid duplication of code (2) ongoing work on options to replace the python list manipulations in the current rewrite. Regarding the latter point, it was expected that there would be a performance hit in moving away from the legacy C++ backend (via Perl bindings), and the cost was considered worthwhile in order to move forward; one data point is a performance hit of .3 on a 17k line config file, which was not bad, considering.

jestabro changed the task status from In progress to On hold.Jul 8 2019, 9:00 PM
jestabro moved this task from Need Triage to In Progress on the VyOS 1.3 Equuleus board.
jestabro changed the task status from On hold to In progress.Sep 7 2019, 3:58 PM
jestabro closed this task as Resolved.Thu, Nov 14, 8:36 PM
jestabro moved this task from In Progress to Finished on the VyOS 1.3 Equuleus board.